# ReflectionEnum::hasCase

(PHP 8 >= 8.1.0)

ReflectionEnum::hasCase — Vérifie pour un cas dans une énumération

### Description

public ReflectionEnum::hasCase(string `$name`): bool

Détermine si un cas donné est défini sur une énumération.

### Liste de paramètres

`name`

  Le cas à vérifier.

### Valeurs de retour

`true` si le cas est défini, sinon `false`.

### Exemples

Exemple #1 Exemple de ReflectionEnum::hasCase()

`<?php
enum Suit
{
case Hearts;
case Diamonds;
case Clubs;
case Spades;
}
$rEnum = new ReflectionEnum(Suit::class);
var_dump($rEnum->hasCase('Hearts'));
var_dump($rEnum->hasCase('Horseshoes'));
?>`

L'exemple ci-dessus va afficher :

    bool(true)
    bool(false)

### Voir aussi

- Enumerations
- ReflectionEnum::getCase() - Renvoie un cas spécifique d'une énumération
- ReflectionEnum::getCases() - Renvoie la liste de tous les cas d'une énumération